package com.ruoyi.ie.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.ie.domain.AMarjorPlan;
import org.apache.ibatis.annotations.Param;

/**
 * 专业计划要求Mapper接口
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public interface AMarjorPlanMapper 
{
    public List<AMarjorPlan> selectAMarjorPlanByIds(Long[] ids);
    public List<AMarjorPlan>  selectMajorForUniversity(@Param("teacherId") Long teacherId, @Param("universityId") Long universityId, @Param("year") Integer year, @Param("buildType") String buildType, @Param("batchId") Long batchId, @Param("subjectId") Long subjectId, @Param("examType") String examType);
    /**
     * 查询专业计划要求
     * 
     * @param id 专业计划要求主键
     * @return 专业计划要求
     */
    public AMarjorPlan selectAMarjorPlanById(Long id);
    public List<AMarjorPlan> selectMajorCodesByIds(@Param("ids") Long[] ids, @Param("year") Integer year);

    public List<AMarjorPlan> selectListByRuleCond(Map cond);

    /**
     * 查询专业计划要求列表
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 专业计划要求集合
     */
    public List<AMarjorPlan> selectAMarjorPlanList(AMarjorPlan aMarjorPlan);

    /**
     * 新增专业计划要求
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 结果
     */
    public int insertAMarjorPlan(AMarjorPlan aMarjorPlan);

    /**
     * 修改专业计划要求
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 结果
     */
    public int updateAMarjorPlan(AMarjorPlan aMarjorPlan);

    /**
     * 删除专业计划要求
     * 
     * @param id 专业计划要求主键
     * @return 结果
     */
    public int deleteAMarjorPlanById(Long id);

    /**
     * 批量删除专业计划要求
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAMarjorPlanByIds(Long[] ids);
}
